package de.fhdw.gaming.ipspiel23.c4.strategies;

import de.fhdw.gaming.ipspiel23.c4.moves.factory.IC4MoveFactory;

/**
 * Represents a factory creating Connect Four strategies.
 */
@FunctionalInterface
public interface IC4StrategyFactory {
    /**
     * Creates a Connect Four strategy.
     * @param moveFactory The {@link  IC4MoveFactory} to use.
     * @return The Connect Four strategy.
     */
    IC4Strategy create(IC4MoveFactory moveFactory);
}
